aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJacob Appelbaum <jacob@appelbaum.net>2012-02-02 01:43:22 +0100
committerJacob Appelbaum <jacob@appelbaum.net>2012-02-02 01:43:22 +0100
commit5de8b0ab7a50d4b2a50ab3d26e764645bcea4b36 (patch)
tree337c10c84ca89c2836cbbc82d05a6aa6105ad559 /autogen.sh
parent831002054268f0471937a4a82103ead8078fa584 (diff)
downloadtlsdate-5de8b0ab7a50d4b2a50ab3d26e764645bcea4b36.tar.gz
autoconf the project
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..5de05af
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# This generates our configure scripts and leads us onto the path of
+# the great Makefile...
+#
+
+set -e
+
+exec autoreconf -ivf && \
+aclocal && \
+autoheader && \
+autoconf && \
+automake --add-missing --copy